<template>
    <form @submit.prevent="filter" class="flex" action="">
        <label for="table-search" class="sr-only">Search</label>
        <div class="relative mr-3">
            <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor"
                     viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                          d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                          clip-rule="evenodd"></path>
                </svg>
            </div>
            <input v-model="filterForm.filter" type="text" id="table-search"
                   class="block p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg w-80 bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                   placeholder="Search for items">
        </div>
        <button type="submit" class="px-4 mr-3 items-center inline-flex text-white no-underline bg-gray-400 rounded hover:bg-gray-600 hover:text-white">Filter</button>
        <button type="reset" class="px-4 items-center inline-flex text-white no-underline bg-red-400 rounded hover:bg-red-600 hover:text-white">Clear</button>
    </form>
</template>

<script setup>
import {useForm} from "@inertiajs/vue3";

const props = defineProps({
    filters: Object
})

const filterForm = useForm({
    filter: props.filters.filter ?? null,
})

const filter = () => {
    filterForm.get(
        route('index'),
        {
            preserveState: true,
            preserveScroll: true,
        }
    )
}

const clear = () => {
    filterForm.filter = null
    filter()
}
</script>
